Subject: bug#77775: 30.1; Proced performance

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Apr 2025 17:26:12 +0300

> From: Roland Winkler <[email-masked]>
> Cc: Rahguzar <[email-masked]>,  Laurence Warne
>  <[email-masked]>,  [email-masked]
> Date: Sun, 13 Apr 2025 08:49:20 -0500
> 
> On Sun, Apr 13 2025, Eli Zaretskii wrote:
> >>    ;; If none of the alternatives is non-nil, the attribute is ignored
> >>    ;; in the listing.
> >>    (let ((standard-attributes
> >> -         (car (proced-process-attributes (list-system-processes))))
> >> +         (car (proced-process-attributes (last (list-system-processes)))))
> >>          new-format fmi)
> >>      (if (and proced-tree-flag
> >>               (assq 'ppid standard-attributes))
> >> 
> >> (The comment at the start of this diff is outdated)
> 
> Why is this comment outdated?  Previously, proced-format used emacs-pid
> instead of (list-system-processes), which is obviously much faster.

Your attribution is wrong: it wasn't me who wrote that, it was
Rahguzar.

> I haven't been engaged in the development of proced.el for some time.
> But I feel I need to look at the current code more carefully before I
> can comment on this patch (and the problem it is supposed to fix) in a
> meaningful way.

Thanks.